Separation of content language from UI language

2011-04-04 14:50 - Ebrahim Mohammadi

Status: New Start date: 2011-04-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Currently it is impossible to use Redmine with English UI to work on Persian content. Because English is an LTR language and

Persian an RTL one. So all text fields and authored content will be shown as LTR to the user. The same problem happens if

somebody wants to use the Persian UI of Redmine with English content. For example I cannot set my locale to Persian on this site,

because if I do so, all the English messages (issue description, user comments, wiki pages, ...) and the text boxes will be shown

right-to-left to me, while they should be shown as left-to-right.

A simple part of solution would be letting the manager of a project set language of contents of the project. (The site-wide default

locale would be a good default for project content's locale.) Then all the text fields in that project must obey direction of that language

instead of user's UI locale.

A more advanced solution would include multi-language features. For example a wiki in which the language is settable per page.

This way one would be able to translate some pages of his wiki to different languages. Another example would be letting the

manager translate project description to different languages to show the appropriate one to each user based on his UI locale.

There is a workaround until this feature is fully implemented: To assume that language of all content of a site is same as language of

the site-wide default locale. For example if default locale of site is English, all text fields and messages are shown as LTR even in

RTL locales, and if the default locale of site is Persian, then all of them are shown as RTL even in LTR locales. This way I can use

Persian interface of this site as soon as possible! :D

Related issues:

Related to Redmine - Feature #4886: Name of custom fields should be multilingual New

Related to Redmine - Patch #6926: Plugins captions for name and descriptions ... New 2010-11-17

Related to Redmine - Defect #8137: HTML email doesn't obey directionality of ... Closed 2011-04-13

Related to Redmine - Feature #8147: Multilangual Email header / footer New 2011-04-14

Related to Redmine - Feature #4844: Multi language site New 2010-02-15

Related to Redmine - Patch #12031: welcome text in a div with class box Closed

Related to Redmine - Feature #5990: Email notification should reflect user la... Closed 2010-07-29

Related to Redmine - Feature #15575: Multi language tracker name Closed

History

#1 - 2011-04-04 15:16 - Etienne Massip

- Category set to I18n

#2 - 2011-06-14 17:17 - Etienne Massip

- Target version set to Candidate for next major release

#3 - 2012-01-05 09:34 - Etienne Massip

FTR: https://github.com/svenfuchs/globalize3 would be a great solution.

#4 - 2013-12-02 04:28 - Toshi MARUYAMA

- Related to Feature #15575: Multi language tracker name added

Powered by TCPDF (www.tcpdf.org)

2025-07-07 1/1

https://github.com/svenfuchs/globalize3
http://www.tcpdf.org

